apiVersion: v1
kind: ConfigMap
metadata:
  name: static-sites-nginx-conf
data:
  default.conf: |
    server {
        listen 80;
        server_name ~^(?<project>.+)\.airlabs\.art$;

        root /usr/share/nginx/html/$project;
        index index.html;

        location / {
            try_files $uri $uri/ /index.html;
        }

        location ~ /\. {
            deny all;
        }
    }
